Comments 2

    1. Post
      Author

      Hello, are you getting a specific error message? Finale 2008 is not compatible with the most recent versions of OSX, unfortunately.

Leave a Reply

Your email address will not be published. Required fields are marked *